Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class Ed448PrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.Ed448PrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public final class Ed448PrivateKeyParameters
extends AsymmetricKeyParameter

Field Summary
`static int` | `KEY_SIZE`
`static int` | `SIGNATURE_SIZE`

Constructor Summary
`Ed448PrivateKeyParameters(byte[] buf)`
`Ed448PrivateKeyParameters(byte[] buf, int off)`
`Ed448PrivateKeyParameters(java.io.InputStream input)`
`Ed448PrivateKeyParameters(java.security.SecureRandom random)`

Method Summary
`void` | `encode(byte[] buf, int off)`
`Ed448PublicKeyParameters` | `generatePublicKey()`
`byte[]` | `getEncoded()`
`void` | `sign(int algorithm, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)`
`void` | `sign(int algorithm, Ed448PublicKeyParameters publicKey, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)` Deprecated. use overload that doesn't take a public key

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_SIZE

    public static final int KEY_SIZE

See Also:
  Constant Field Values

### SIGNATURE_SIZE

    public static final int SIGNATURE_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Ed448PrivateKeyParameters

    public Ed448PrivateKeyParameters(java.security.SecureRandom random)

### Ed448PrivateKeyParameters

    public Ed448PrivateKeyParameters(byte[] buf)

### Ed448PrivateKeyParameters

    public Ed448PrivateKeyParameters(byte[] buf,
                                     int off)

### Ed448PrivateKeyParameters

    public Ed448PrivateKeyParameters(java.io.InputStream input)
                              throws java.io.IOException

Method Detail

### encode

    public void encode(byte[] buf,
                       int off)

### getEncoded

    public byte[] getEncoded()

### generatePublicKey

    public Ed448PublicKeyParameters generatePublicKey()

### sign

    public void sign(int algorithm,
                     Ed448PublicKeyParameters publicKey,
                     byte[] ctx,
                     byte[] msg,
                     int msgOff,
                     int msgLen,
                     byte[] sig,
                     int sigOff)

  Deprecated. use overload that doesn't take a public key

### sign

    public void sign(int algorithm,
                     byte[] ctx,
                     byte[] msg,
                     int msgOff,
                     int msgLen,
                     byte[] sig,
                     int sigOff)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD